<mat-expansion-panel class="series-panel" (expandedChange)="displayBooks($event)" (afterCollapse)="hideBooks()">
  <mat-expansion-panel-header>
    <mat-panel-title fxFlex.lt-lg="70">
      {{series}}
    </mat-panel-title>
    <mat-panel-description *ngIf="getProgressTotalValue() < 0">
      <span> {{"BOOK.LIST.SERIES.BOOK_STATUS.ERROR" | translate}} </span>
    </mat-panel-description>
    <mat-panel-description *ngIf="displayProgress() && getProgressTotalValue() >= 0">
      <div fxFlex.lt-lg="100" fxFlex.gt-md="30" fxLayoutAlign.lt-lg="end" fxLayoutAlign.gt-md="space-between">
        <span> {{readingState}} </span>
      </div>
      <div style="height: 4px; display: flex; background-color: darkgrey;" fxFlex.gt-md="80" fxHide.lt-lg>
        <div style="height: 4px; background-color: darkgoldenrod"
             [ngStyle]="{'width': getProgressPossessedValue() + '%'}">
          <div style="height: 4px; background-color: darkgreen" [ngStyle]="{'width': getProgressReadValue() + '%'}">
          </div>
        </div>
      </div>
    </mat-panel-description>
  </mat-expansion-panel-header>

  <ng-container *ngIf="display">
    <mat-selection-list dense class="series-books" #list>
      <div>
        <div class="series-status">
          <div class="series-status-section">
            <span class="header"> {{"BOOK.LIST.SERIES.RELEASE_STATUS.SECTION_TITLE" | translate}} </span>
            <div class="divider"></div>
            <div class="series-status-columns">
              <div class="series-status-column" *ngIf="seriesData.editor">
                <span class="header">{{"BOOK.LIST.SERIES.RELEASE_STATUS.EDITOR"| translate}}</span>
                <span class="value">{{ seriesData.editor  }}</span>
              </div>
              <div class="series-status-column">
                <span class="header">{{"BOOK.LIST.SERIES.RELEASE_STATUS.LABEL"| translate}}</span>
                <span class="value">{{"BOOK.LIST.SERIES.RELEASE_STATUS." + seriesData.status.status | translate}}</span>
              </div>
            </div>
          </div>
          <div class="series-status-section">
            <span class="header"> {{"BOOK.LIST.SERIES.BOOK_STATUS.SECTION_TITLE" | translate}} </span>
            <div class="divider"></div>
            <div class="series-status-columns">
              <div class="series-status-column">
                <span class="header">{{"BOOK.LIST.SERIES.BOOK_STATUS.READ" | translate}}</span>
                <span class="value">{{getReadBooksCount()}}</span>
              </div>
              <div class="series-status-column">
                <span class="header">{{"BOOK.LIST.SERIES.BOOK_STATUS.POSSESSED" | translate}}</span>
                <span class="value">{{getPossessedCount()}}</span>
              </div>
              <div class="series-status-column">
                <span class="header">{{"BOOK.LIST.SERIES.BOOK_STATUS.RELEASED" | translate}}</span>
                <span class="value">{{seriesData.status.totalCount}}</span>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div *ngFor="let book of seriesData.books; let i = index" fxLayoutAlign="space-between center">
        <mat-list-option style="margin-right: -140px;"
                         [ngClass]="{'hide-checkbox': (isAuthenticated$ | async) === false}"
                         checkboxPosition="before"
                         [value]="book">
          <div fxFlex="100">
            <app-book-status [status]="book.status" [withText]="false"></app-book-status>
            <span *ngIf="!book.series?.oneShot && book.series?.tome !== null">
              <span *ngIf="book.series.seriesCycle !== null">
                ({{book.series.seriesCycle.name}} - T{{book.series.seriesCycle.tome}} )
              </span>
              T{{book.series?.tome}} -
            </span> {{book.title}}
          </div>
        </mat-list-option>
        <div style="padding-right: 15px;">
          <button [routerLink]="['detail', book.isbn]" [queryParamsHandling]="'preserve'" mat-stroked-button>
            {{'BOOK.LIST.SERIES.BUTTONS.DETAILS' | translate}}
            <fa-icon [icon]="['fas', 'chevron-right']" style="padding-left: 10px"></fa-icon>
          </button>
        </div>
      </div>
    </mat-selection-list>

    <mat-action-row *ngIf="(isAuthenticated$ | async)">
      <div fxFlex fxLayoutAlign="end" fxLayoutGap="10px">
        <button fxHide.lt-lg mat-stroked-button
                [disabled]="list.selectedOptions.selected.length >= seriesData.books.length"
                (click)="list.selectAll()">
          <span>{{'BOOK.LIST.SERIES.ACTION_ROW.ALL_SELECT' | translate}}</span>
        </button>
        <button fxHide.lt-lg mat-stroked-button [disabled]="list.selectedOptions.selected.length === 0"
                (click)="list.deselectAll()">
          <span>{{'BOOK.LIST.SERIES.ACTION_ROW.ALL_DESELECT' | translate}}</span>
        </button>
        <button mat-stroked-button [disabled]="list.selectedOptions.selected.length === 0" [matMenuTriggerFor]="menu">
          <span>{{'BOOK.LIST.SERIES.ACTION_ROW.MARK_AS' | translate}}</span>
        </button>
        <button mat-stroked-button [disabled]="disableLendButton(list.selectedOptions)"
                (click)="openLendModal(list.selectedOptions.selected[0])">
          <span>{{getButtonText(list.selectedOptions) | translate}}</span>
        </button>
        <mat-menu #menu="matMenu">
          <button [ngSwitch]="status" mat-menu-item *ngFor="let status of statusValues"
                  (click)="changeBookState(list.selectedOptions.selected, status)">
            <app-book-status-read-icon *ngSwitchCase="'READ'"></app-book-status-read-icon>
            <app-book-status-unread-icon *ngSwitchCase="'UNREAD'"></app-book-status-unread-icon>
            <app-book-status-reading-icon *ngSwitchCase="'READING'"></app-book-status-reading-icon>
          </button>
        </mat-menu>
      </div>
    </mat-action-row>
  </ng-container>
</mat-expansion-panel>
